Subject: Re: [bug#40485] Acknowledgement (gnu: Update libxfce4ui to 4.15.2.)

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 7 Apr 2020 21:24:55 +0200

Hi Naga,

On Wed, 8 Apr 2020 00:47:16 +0530
Naga Malleswari <[email-masked]> wrote:

> On 07/04/20 7:53 pm, Danny Milosavljevic wrote:
> > (2) Keep both packages of libxfce4ui.  Use the old package for
> > xfce4-embed-plugin and the new package for the other dependents.  
> 
> 
> (define-public libxfce4ui/latest
>   (package
>     (inherit libxfce4ui)
>     (version "4.15.2")
>     (source (origin
>               (method url-fetch)
>               (uri (string-append "https://archive.xfce.org/src/xfce/"
>                                   name "/" (version-major+minor version) "/"
>                                   name "-" version ".tar.bz2"))
>               (sha256
>                (base32
>                 "0069da27chxrgylbzcm9vhzpfnvkii2n2dz8g6jlwfcr82arkayb"))))))
> 
> 
> I Added this and tried. always its showing 4.15.2 not found. Unable to
> trace the error.

That approach is good is principle.

But I'd do it the other way around--otherwise you have to update all libxfce4ui
references in all the other packages (which presumably can use the newer
version just fine).

So better rename the old libxfce4ui variable to libxfce4ui-1 and then
update the reference in xfce4-embed-plugin to use libxfce4ui-1, and
then introduce a new libxfce4ui variable with a similar body as your
libxfce4ui/latest had.

That means that everyone still referring to the libxfce4ui variable will get
the new version automatically.